Foreman - Bug #4607

fix cache initialization sometimes fails
03/10/2014 09:45 AM - Ohad Levy

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

undefined method “value' for nil:NilClass (NoMethodError)
/home/foreman/git/foreman/config/initializers/fix_cache.rb:10
.8/gems/activesupport-3.2.17/1ib/active_support/de

/home/foreman/git/foreman/vendor/bundle/ruby/1
pendencies.rb:245:in " load’'

/home/foreman/git/foreman/vendor/bundle/ruby/1
pendencies.rb:245:in " load’'

/home/foreman/git/foreman/vendor/bundle/ruby/1.

pendencies.rb:236:in " load_dependency'

/home/foreman/git/foreman/vendor/bundle/ruby/1.

pendencies.rb:245:in "~ load’'

/home/foreman/git/foreman/vendor/bundle/ruby/1.
/home/foreman/git/foreman/vendor/bundle/ruby/1.

“each'

/home/foreman/git/foreman/vendor/bundle/ruby/1.
/home/foreman/git/foreman/vendor/bundle/ruby/1.

:30:1in "~ instance_exec'

/home/foreman/git/foreman/vendor/bundle/ruby/1.

:30:in “run'

/home/foreman/git/foreman/vendor/bundle/ruby/1.

:55:1in “run_initializers'

/home/foreman/git/foreman/vendor/bundle/ruby/1.

:54:in “each’'

/home/foreman/git/foreman/vendor/bundle/ruby/1.

:54:1in ‘run_initializers'

/home/foreman/git/foreman/vendor/bundle/ruby/1.

36:in “initialize!’

/home/foreman/git/foreman/vendor/bundle/ruby/1.

able.rb:30:in "~ send'
/home/foreman/git/foreman/vendor/bundle/ruby/1
able.rb:30:in "method_missing'

.8/gems/activesupport-3.2.17/1ib/active_support/de

8/gems/railties-3.
8/gems/railties-3.

8/gems/railties-3.
8/gems/railties-3.

8/gems/railties-3.
8/gems/railties-3.
8/gems/railties-3.
8/gems/railties-3.
8/gems/railties-3.
8/gems/railties-3.

.8/gems/railties-3.

/home/foreman/git/foreman/config/environment.rb:5

2

8/gems/activesupport-3.2.17/1ib/active_support/de

8/gems/activesupport-3.2.17/1ib/active_support/de

.17/1ib/rails/engine.rb:593
.17/1ib/rails/engine.rb:592:in

.17/1ib/rails/engine.rb:592
.17/1ib/rails/initializable.rb

.17/1lib/rails/initializable.rb
.17/1lib/rails/initializable.rb
.17/1ib/rails/initializable.rb
.17/1lib/rails/initializable.rb
.17/1ib/rails/application.rb:1
.17/1ib/rails/railtie/configur

.17/1ib/rails/railtie/configur

Related issues:
Has duplicate Foreman - Bug #4652: error when running tests from ide

Blocks Foreman - Tracker #4552: New permissions/authorization system issues

Closed 03/13/2014
New

Associated revisions

Revision 8592c¢d27 - 03/14/2014 07:07 AM - Amos Benari

fixes #4607 error when running test from ide

History

#1 - 03/10/2014 09:46 AM - Ohad Levy

this happens when the db is down, but it swallows the error message.
#2 - 03/10/2014 09:48 AM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#3 - 03/13/2014 02:56 PM - Dominic Cleal

- Has duplicate Bug #4652: error when running tests from ide added

#4 - 03/13/2014 03:00 PM - Dominic Cleal

- Status changed from New to Duplicate

05/17/2024

22


http://www.tcpdf.org

